@charset "utf-8";

div.article-detail > div {
    margin: 5px;
    word-break: keep-all;
    display: flex;
    flex-wrap: wrap;
}

div.article-detail > div > p {
    margin: 0;
    margin-right: 10px;
    margin-top: 4px;
}

.p-icon {
    font-family: 'Open Sans', sans-serif;
    margin: 5px 0px;
    position: relative;
    font-size: 18px;
    padding-left: 30px;
}

.p-icon::after {
    position: absolute;
    content: " ";
    left: 0;
    top: 50%;
    transform: translateY(calc(-50% + 1px));
    width: 22px;
    height: 20px;
    background-image: url(../icons/view.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 21px;
}

.timer::after {
    transform: translateY(calc(-50% - 0px));
    background-image: url(../icons/timer.svg);
}

.edit::after {
    transform: translateY(calc(-50% - 0px));
    background-image: url(../icons/edit.svg);
}

.view::after {
    transform: translateY(calc(-50% - 1px));
    background-image: url(../icons/view.svg);
}

.type::after {
    transform: translateY(calc(-50% + 1px));
    background-image: url(../icons/type.svg);
}

.anouncementDate::after {
    transform: translateY(calc(-50% - 1px));
    background-image: url(../icons/anouncment.svg);
}

.contributors {
    margin: 4px;
    font-size: 15px;
    font-weight: bold;
}

.contributors::after {
    background-size: 90%;
    background-image: url(../icons/contrib.svg);
}

.source::after {
    transform: translateY(calc(-50% - 1px));
    background-image: url(../icons/source.svg);
}

.languages::after {
    transform: translateY(calc(-50% + 0px));
    background-image: url(../icons/language.svg);
}

html.dark .p-icon::after {
    filter: invert(100%);
}